# David - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdeutils
%define lib_major 1
%define lib_name %lib_name_orig%lib_major
%define epoch_kdelibs 30000000
%define epoch_arts 30000001


%define apm_arches %{ix86} ppc x86_64 amd64

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdeutils
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Utilities
Version:    3.1.3
Release:    20mdk

Source:     %name-%version.tar.bz2
Patch0:		kdeutils-3.0-ktimer_icons.patch.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch1:		kde-lib64updates.patch.bz2

# Laurent -3.0.2-3mdk fix calc bugs patch commited in kde3.0 et kde3.1
Patch2:		kdeutils-3.0.2-fix-calc.patch.bz2




# Laurent - 3.0.3-2mdk use klineeditdlg in kregexpeditor
Patch6:		kdeutils-3.0.3-use-klineeditdlg.patch.bz2

# Laurent - 3.0.3-4mdk - fix kdf mem leak
Patch7:		kdeutils-3.0.3-fix-kdf-mem-leak.patch.bz2

# Laurent - 3.0.3-5mdk workaround for kedit => enable/disable cut/copy action
Patch8:		kdeutils-3.0.3-fix-kedit-enable-disable-cut-copy-action.patch.bz2

Patch9:		kdeutils-3.1.2-fix-compile.patch.bz2

Patch10:	kdeutils-3.1.2-fix-undo-kedit.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

# To remove
Obsoletes:	kdeutils3.0 kdeutils3 kdf
Provides:	kdeutils3 kdf


%ifarch %{apm_arches}
# David 2.1-1mdk - For battery control
Requires:	apmd
%endif
 
BuildRequires:  XFree86-devel, kdelibs-devel, libarts-devel >= 1.1 

Requires:	kdeutils-kedit = %version-%release
Requires:	kdeutils-kcalc = %version-%release
Requires:	kdeutils-ktimer = %version-%release
Requires:	kdeutils-kjots = %version-%release
Requires:	kdeutils-khexedit = %version-%release
Requires:	kdeutils-kfloppy = %version-%release
Requires:	kdeutils-kdf = %version-%release
Requires:	kdeutils-kdepasswd = %version-%release
Requires:	kdeutils-kcharselect = %version-%release
Requires:	kdeutils-ark = %version-%release
Requires:	%lib_name-common = %version-%release
Requires:	kdeutils-kdessh = %version-%release
Requires:	kdeutils-ksim = %version-%release
Requires:	kdeutils-common = %version-%release

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif

%description
Utilities for the K Desktop Environment.
	- ark: manager for compressed files and archives
	- kcalc: scientific calculator
	- kcharselect: select special characters from any fonts and put them into the clipboard
	- charselectapplet: dito, but as a Kicker applet
	- kcardtools:
	- kdepasswd: like 'passwd', a graphical password changer
	- kdessh: front end to ssh
	- kdf: like 'df', a graphical free disk space viewer
	- kedit: a simple text editor, without formatting like bold, italics etc
	- kfloppy: format a floppy disks with this app
	- khexedit: binary file editor
	- kjots: manages several "books" with a subject and notes
	- klaptopdaemon: battery and power management, including KControl plugins
	- kregexpeditor: graphical regular expression editor
	- ktimer: execute programs after some time

%package common
Summary:	Kdeutils common files
Group:		Development/KDE and Qt
Requires:	%lib_name-common = %version-%release
Obsoletes:	kdeutils
Provides:	kdeutils = %version-%release


%description common
Kdeutils common files

%package ktimer
Summary:	Ktimer programm
Group:		Development/KDE and Qt
Provides:	ktimer

%description ktimer
Ktimer allows to execute programs after some time


%package kdessh
Summary:	Kdessh programm
Group:		Development/KDE and Qt
Provides:	kdessh

%description kdessh
Front end to ssh


%package kjots
Summary:	Kjots programm
Group:		Development/KDE and Qt
Provides:	kjots

%description kjots
Manages several "books" with a subject and notes



%package kdepasswd
Summary:	Kdepasswd programm
Group:		Development/KDE and Qt
Provides:	kdepasswd

%description kdepasswd
Like 'passwd', a graphical password changer



%package kfloppy
Summary:	Kfloppy programm
Group:		Development/KDE and Qt
Requires:	dosfstools
Provides:	kfloppy

%description kfloppy
Kfloppy allows to format a floppy disks with this app



%package kdf
Summary:	Kdf programm
Group:		Development/KDE and Qt
Provides:	kdf

%description kdf
Like 'df', a graphical free disk space viewer


%package kcharselect
Summary:	Kcharselect programm
Group:		Development/KDE and Qt
Provides:	kcharselect

%description kcharselect
Kcharselect allows to select special characters from any fonts and put them into the clipboard



%package khexedit
Summary:	Khexedit programm
Group:		Development/KDE and Qt
Provides:	khexedit

%description khexedit
A binary file editor



%package kedit
Summary:	Kedit programm
Group:		Development/KDE and Qt
Requires:	%lib_name-kedit = %version-%release
Provides:	kedit

%description kedit
A simple text editor, without formatting like bold, italics etc.


%package -n %lib_name-kedit
Summary:	Librairies for kedit programm
Group:		Development/KDE and Qt


%description -n %lib_name-kedit
Librairies for kedit programm


%package ark
Summary:	Ark programm
Group:		Development/KDE and Qt
Requires:	%lib_name-ark = %version-%release
Provides:	ark

%description ark
Manager for compressed files and archives



%package -n %lib_name-ark
Summary:	Libraries for Ark programm
Group:		Development/KDE and Qt

%description -n %lib_name-ark
Librairie for ark programm


%package kcalc
Summary:	Kcalc programm
Group:		Development/KDE and Qt
Requires:	%lib_name-kcalc = %version-%release
Provides:	kcalc

%description kcalc
A scientific calculator


%package -n %lib_name-kcalc
Summary:	Librairies for Kcalc programm
Group:		Development/KDE and Qt


%description -n %lib_name-kcalc
Librairie for Kcalc programm



%package -n %lib_name-common-devel
Summary:	Header files for kdeutils
Group:		Development/KDE and Qt
Requires:	%lib_name-common

Obsoletes:  kdeutils3-devel, kdeutils-devel
Provides:   kdeutils3-devel, kdeutils-devel

Obsoletes:  %lib_name-devel 
Provides:   %lib_name-devel = %version-%release



%description -n %lib_name-common-devel
Headers files for kdeutils.



%package -n %lib_name-common
Summary:	Librarie files for kdeutils
Group:		Development/KDE and Qt
Obsoletes:	%lib_name
Provides:	%lib_name = %version-%release


%description -n %lib_name-common
Libraries files for kdeutils.


%package ksim
Summary:	Ksim programm
Group:		Development/KDE and Qt
Requires:	%lib_name-ksim = %version-%release
Provides:	ksim

%description ksim
Ksim programm



%package -n %lib_name-ksim-devel
Summary:	Header files for ksim
Group:		Development/KDE and Qt
Requires:	%lib_name-ksim = %version-%release

%description -n %lib_name-ksim-devel
Headers files for kdeutils.



%package -n %lib_name-ksim
Summary:	Librarie files for kdeutils
Group:		Development/KDE and Qt

%description -n %lib_name-ksim
Libraries files for ksim.




%prep



%setup  -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch6 -p1
%patch7 -p1

%patch9 -p1

%patch10 -p1

%build
%if %buildfor9_2 || %buildfor9_1
make -f admin/Makefile.common cvs
%endif

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }


%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
		    --libdir=%_libdir \
                    --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
					--disable-embedded \
					--disable-palmtop \
                    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make


%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create MDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/

# %%_datadir/applnk/Editors/
kdedesktop2mdkmenu.pl kdeutils-kedit Applications/Editors %buildroot/%_datadir/applnk/Editors/KEdit.desktop %buildroot/%_menudir/kdeutils-kedit kde

# %%_datadir/applnk/Settings/Information/
kdedesktop2mdkmenu.pl kdeutils-common Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/kcmdf.desktop %buildroot/%_menudir/kdeutils-kcmdf kde
kdedesktop2mdkmenu.pl kdeutils-common Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/pcmcia.desktop %buildroot/%_menudir/kdeutils-pcmcia kde

# %%_datadir/applnk/Settings/PowerControl/
kdedesktop2mdkmenu.pl kdeutils-common Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/laptop.desktop %buildroot/%_menudir/kdeutils-laptop kde

# %%_datadir/applnk/Settingsmeu
kdedesktop2mdkmenu.pl kdeutils-kdepasswd Configuration/Other %buildroot/%_datadir/applnk/Settingsmenu/kdepasswd.desktop %buildroot/%_menudir/kdeutils-kdepasswd kde


# %%_datadir/applnk/System/
kdedesktop2mdkmenu.pl kdeutils-kdf Applications/Monitoring %buildroot/%_datadir/applnk/System/More/kdf.desktop %buildroot/%_menudir/kdeutils-kdf
kdedesktop2mdkmenu.pl kdeutils-ksim Applications/Monitoring %buildroot/%_datadir/applnk/System/More/ksim.desktop %buildroot/%_menudir/kdeutils-ksim
kdedesktop2mdkmenu.pl kdeutils-kdf Applications/Monitoring %buildroot/%_datadir/applnk/System/More/kwikdisk.desktop %buildroot/%_menudir/kdeutils-kwikdisk kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdeutils-ark Applications/Archiving/Compression %buildroot/%_datadir/applnk/Utilities/ark.desktop %buildroot/%_menudir/kdeutils-ark

kdedesktop2mdkmenu.pl kdeutils-kcalc Applications/Sciences/Mathematics %buildroot/%_datadir/applnk/Utilities/kcalc.desktop %buildroot/%_menudir/kdeutils-kcalc
kdedesktop2mdkmenu.pl kdeutils-kcharselect Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/More/KCharSelect.desktop %buildroot/%_menudir/kdeutils-kcharselect
#kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/kcardchooser.desktop %buildroot/%_menudir/kdeutils-kcardchooser
kdedesktop2mdkmenu.pl kdeutils-kfloppy Configuration/Hardware %buildroot/%_datadir/applnk/Utilities/KFloppy.desktop %buildroot/%_menudir/kdeutils-kfloppy
kdedesktop2mdkmenu.pl kdeutils-khexedit Applications/Editors %buildroot/%_datadir/applnk/Utilities/More/khexedit.desktop %buildroot/%_menudir/kdeutils-khexedit

kdedesktop2mdkmenu.pl kdeutils-kjots Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/More/Kjots.desktop %buildroot/%_menudir/kdeutils-kjots

kdedesktop2mdkmenu.pl kdeutils-ktimer Office/Time\ management %buildroot/%_datadir/applnk/Utilities/More/ktimer.desktop %buildroot/%_menudir/kdeutils-ktimer kde


%post


%postun

%post kedit
/sbin/ldconfig
%update_menus


%postun kedit
/sbin/ldconfig
%clean_menus

%post ksim
/sbin/ldconfig
%update_menus


%postun ksim
/sbin/ldconfig
%clean_menus

%post -n %lib_name-ksim -p /sbin/ldconfig

%postun -n %lib_name-ksim -p /sbin/ldconfig


%post kdessh
%update_menus


%postun kdessh
%clean_menus

%post khexedit
/sbin/ldconfig
%update_menus


%postun khexedit
/sbin/ldconfig
%clean_menus


%post ktimer
/sbin/ldconfig
%update_menus


%postun ktimer
/sbin/ldconfig
%clean_menus


%post ark
/sbin/ldconfig
%update_menus


%postun ark
/sbin/ldconfig
%clean_menus

%post kcalc
/sbin/ldconfig
%update_menus


%postun kcalc
/sbin/ldconfig
%clean_menus

%post kdf
/sbin/ldconfig
%update_menus


%postun kdf
/sbin/ldconfig
%clean_menus

%post kcharselect
/sbin/ldconfig
%update_menus


%postun kcharselect
/sbin/ldconfig
%clean_menus

%post kfloppy
/sbin/ldconfig
%update_menus


%postun kfloppy
/sbin/ldconfig
%clean_menus

%post kdepasswd
/sbin/ldconfig
%update_menus


%postun kdepasswd
/sbin/ldconfig
%clean_menus

%post kjots
/sbin/ldconfig
%update_menus


%postun kjots
/sbin/ldconfig
%clean_menus


%post -n %lib_name-kcalc -p /sbin/ldconfig

%postun -n %lib_name-kcalc -p /sbin/ldconfig


%post -n %lib_name-kedit -p /sbin/ldconfig

%postun -n %lib_name-kedit -p /sbin/ldconfig


%post -n %lib_name-ark -p /sbin/ldconfig

%postun -n %lib_name-ark -p /sbin/ldconfig


%post -n %lib_name-common-devel -p /sbin/ldconfig

%postun -n %lib_name-common-devel -p /sbin/ldconfig


%post -n %lib_name-common -p /sbin/ldconfig

%postun -n %lib_name-common -p /sbin/ldconfig




%clean
rm -fr %buildroot/

%files


%files common
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#



%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kcmlowbatcrit/
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/common
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/*.bz2


%dir %_docdir/HTML/en/kcontrol/kcmlowbatwarn/
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/common
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/*.bz2

%dir %_docdir/HTML/en/kcontrol/laptop/
%doc %_docdir/HTML/en/kcontrol/laptop/common
%doc %_docdir/HTML/en/kcontrol/laptop/*.docbook
%doc %_docdir/HTML/en/kcontrol/laptop/*.bz2

%dir %_docdir/HTML/en/kcontrol/powerctrl/
%doc %_docdir/HTML/en/kcontrol/powerctrl/common
%doc %_docdir/HTML/en/kcontrol/powerctrl/*.docbook
%doc %_docdir/HTML/en/kcontrol/powerctrl/*.bz2


%dir %_docdir/HTML/en/kinfocenter/blockdevices/
%doc %_docdir/HTML/en/kinfocenter/blockdevices/common
%doc %_docdir/HTML/en/kinfocenter/blockdevices/*.docbook
%doc %_docdir/HTML/en/kinfocenter/blockdevices/*.bz2




#
#
%dir %_docdir/HTML/en/KRegExpEditor/
%doc %_docdir/HTML/en/KRegExpEditor/common
%doc %_docdir/HTML/en/KRegExpEditor/*.docbook
%doc %_docdir/HTML/en/KRegExpEditor/*.bz2
%doc %_docdir/HTML/en/KRegExpEditor/*.png
#
#
# Laurent - 2.2-6mdk - efax, efix and fax man pages are provided by efax package
#%doc %_mandir/man1/efax.1.*
#%doc %_mandir/man1/efix.1.*
#%doc %_mandir/man1/fax.1.*
#
#
#
# Laurent - 2.2-6mdk - %%_bindir/efax, %%_bindir/efix and %%_bindir/fax are
#                      provided by efax package
#%_bindir/efax
#%_bindir/efix
#%_bindir/fax
#%_bindir/kab

%ifarch %{apm_arches}
%_bindir/klaptopdaemon
%endif
#%_bindir/kcardchooser
#
#
#
#


%_menudir/kdeutils-kcmdf
%_menudir/kdeutils-laptop
%_menudir/kdeutils-pcmcia
#
#
#
%dir %_datadir/applnk/
#
#
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Information/
%_datadir/applnk/Settings/Information/pcmcia.desktop
#
%dir %_datadir/applnk/Settings/PowerControl/
%_datadir/applnk/Settings/PowerControl/laptop.desktop
#
#
#
#
%dir %_datadir/applnk/Utilities/

%dir %_datadir/applnk/Utilities/More/


#
%dir %_datadir/applnk/Settingsmenu/
%_datadir/applnk/Settingsmenu/*.desktop


#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
#
#
%ifarch %{apm_arches}
%dir %_datadir/apps/klaptopdaemon/
%dir %_datadir/apps/klaptopdaemon/icons/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/22x22/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/22x22/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/22x22/actions/*.png

#
%endif
#
#
#
#
#%dir %_datadir/apps/konqueror/
#%dir %_datadir/apps/konqueror/servicemenus/
#%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
#
%dir %_datadir/apps/kregexpeditor/
%dir %_datadir/apps/kregexpeditor/pics/
%_datadir/apps/kregexpeditor/pics/*.png
#
%dir %_datadir/apps/kregexpeditor/predefined/
%dir %_datadir/apps/kregexpeditor/predefined/general/
%_datadir/apps/kregexpeditor/predefined/general/*.regexp
#
#
#
%dir %_datadir/services/
%_datadir/services/klaptopdaemon.desktop
%_datadir/services/kregexpeditorgui.desktop
#
#

#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/klaptopdaemon.png
%_iconsdir/crystalsvg/16x16/apps/laptop_battery.png
%_iconsdir/crystalsvg/16x16/apps/laptop_pcmcia.png
#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/laptop_battery.png
%_iconsdir/crystalsvg/32x32/apps/laptop_pcmcia.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/laptop_battery.png
%_iconsdir/crystalsvg/48x48/apps/laptop_pcmcia.png

%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/laptop_battery.png

%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/laptop_battery.png





%files ksim
%defattr(-,root,root)
%_bindir/ksim


%_libdir/kde3/ksim_cpu.la  
%_libdir/kde3/ksim_disk.la  
%_libdir/kde3/ksim_filesystem.la
%_libdir/kde3/ksim_net.la  
%_libdir/kde3/ksim_sensors.la

%_libdir/kde3/ksim_cpu.so
%_libdir/kde3/ksim_disk.so
%_libdir/kde3/ksim_filesystem.so
%_libdir/kde3/ksim_net.so
%_libdir/kde3/ksim_sensors.so


%_menudir/kdeutils-ksim



%dir %_datadir/apps/ksim
%dir %_datadir/apps/ksim/monitors/
%_datadir/apps/ksim/monitors/*.desktop
%dir %_datadir/apps/ksim/pics/
%_datadir/apps/ksim/pics/*.png
%dir %_datadir/apps/ksim/themes/
%dir %_datadir/apps/ksim/themes/ksim/
%_datadir/apps/ksim/themes/ksim/*.png
%_datadir/apps/ksim/themes/ksim/gkrellmrc*
%dir %_datadir/apps/ksim/themes/ksim/host/
%_datadir/apps/ksim/themes/ksim/host/*.png

%dir %_datadir/apps/ksim/themes/ksim/mail/
%_datadir/apps/ksim/themes/ksim/mail/*.png

%dir %_datadir/apps/ksim/themes/ksim/net/
%_datadir/apps/ksim/themes/ksim/net/*.png

%_datadir/config/ksimrc

%dir %_docdir/HTML/en/ksim/
%doc %_docdir/HTML/en/ksim/common
%doc %_docdir/HTML/en/ksim/*.docbook
%doc %_docdir/HTML/en/ksim/*.bz2

%_datadir/applnk/System/More/ksim.desktop

%_iconsdir/crystalsvg/16x16/apps/ksim.png
%_iconsdir/crystalsvg/16x16/devices/ksim_cpu.png

%_iconsdir/crystalsvg/32x32/apps/ksim.png
%_iconsdir/crystalsvg/48x48/apps/ksim.png

%files -n %lib_name-ksim
%defattr(-,root,root)
%_libdir/ksim.la*
%_libdir/libksimcore.la*
%_libdir/ksim.so
%_libdir/libksimcore.so.*


%files -n %lib_name-ksim-devel
%defattr(-,root,root,-)
%dir %_includedir/ksim/
%_includedir/ksim/*.h
%_libdir/libksimcore.so



%files kdessh
%defattr(-,root,root)
%_bindir/kdessh


%files kjots
%defattr(-,root,root)
%dir %_docdir/HTML/en/kjots/
%doc %_docdir/HTML/en/kjots/common
%doc %_docdir/HTML/en/kjots/*.docbook
%doc %_docdir/HTML/en/kjots/*.bz2

%_bindir/kjots
%_menudir/kdeutils-kjots
%dir %_datadir/apps/kjots/
%dir %_datadir/apps/kjots/pics/
%_datadir/apps/kjots/pics/*.png

%_datadir/applnk/Utilities/Kjots.desktop
%_datadir/applnk/Utilities/More/Kjots.desktop

%_iconsdir/crystalsvg/16x16/apps/kjots.png
%_iconsdir/crystalsvg/32x32/apps/kjots.png
%_iconsdir/crystalsvg/48x48/apps/kjots.png



%files kdepasswd
%defattr(-,root,root)
%_bindir/kdepasswd
%_menudir/kdeutils-kdepasswd
%_datadir/applnk/Utilities/kdepasswd.desktop


%files kfloppy
%defattr(-,root,root)
%dir %_docdir/HTML/en/kfloppy/
%doc %_docdir/HTML/en/kfloppy/common
%doc %_docdir/HTML/en/kfloppy/*.docbook
%doc %_docdir/HTML/en/kfloppy/*.bz2

%_bindir/kfloppy
%_menudir/kdeutils-kfloppy
%_datadir/applnk/Utilities/KFloppy.desktop

%_iconsdir/crystalsvg/128x128/apps/kfloppy.png
%_iconsdir/crystalsvg/16x16/apps/kfloppy.png
%_iconsdir/crystalsvg/32x32/apps/kfloppy.png
%_iconsdir/crystalsvg/48x48/apps/kfloppy.png
%_iconsdir/crystalsvg/64x64/apps/kfloppy.png

%files kcharselect
%defattr(-,root,root)
%dir %_docdir/HTML/en/kcharselect/
%doc %_docdir/HTML/en/kcharselect/common
%doc %_docdir/HTML/en/kcharselect/*.docbook
%doc %_docdir/HTML/en/kcharselect/*.bz2
%_bindir/kcharselect
%_menudir/kdeutils-kcharselect

%_datadir/applnk/Utilities/KCharSelect.desktop
%_datadir/applnk/Utilities/More/KCharSelect.desktop

%_iconsdir/crystalsvg/16x16/apps/kcharselect.png
%_iconsdir/crystalsvg/48x48/apps/kcharselect.png

%files ktimer
%defattr(-,root,root)
%dir %_docdir/HTML/en/ktimer/
%doc %_docdir/HTML/en/ktimer/common
%doc %_docdir/HTML/en/ktimer/*.docbook
%doc %_docdir/HTML/en/ktimer/*.bz2
%_bindir/ktimer
%_menudir/kdeutils-ktimer
%_datadir/applnk/Utilities/More/ktimer.desktop
%_datadir/applnk/Utilities/ktimer.desktop


%files kdf
%defattr(-,root,root)
%dir %_docdir/HTML/en/kdf/
%doc %_docdir/HTML/en/kdf/common
%doc %_docdir/HTML/en/kdf/*.docbook
%doc %_docdir/HTML/en/kdf/*.png
%doc %_docdir/HTML/en/kdf/*.bz2
%_bindir/kdf
%_bindir/kwikdisk
%_menudir/kdeutils-kwikdisk

%_libdir/kde3/kcm_kdf.so
%_libdir/kde3/kcm_kdf.la

%_iconsdir/crystalsvg/128x128/apps/kdf.png
%_iconsdir/crystalsvg/16x16/apps/kdf.png
%_iconsdir/crystalsvg/16x16/apps/kcmdf.png
%_iconsdir/crystalsvg/16x16/apps/kwikdisk.png

%_iconsdir/crystalsvg/32x32/apps/kdf.png
%_iconsdir/crystalsvg/32x32/apps/kcmdf.png
%_iconsdir/crystalsvg/32x32/apps/kwikdisk.png

%_iconsdir/crystalsvg/48x48/apps/kdf.png
%_iconsdir/crystalsvg/64x64/apps/kdf.png

%dir %_datadir/applnk/System/
%_datadir/applnk/System/kwikdisk.desktop

%dir %_datadir/applnk/System/More
%_datadir/applnk/System/More/kwikdisk.desktop


%_menudir/kdeutils-kdf
%dir %_datadir/apps/kdf/
%dir %_datadir/apps/kdf/pics/
%_datadir/apps/kdf/pics/*.png
%_datadir/applnk/System/kdf.desktop
%_datadir/applnk/System/More/kdf.desktop
%_datadir/applnk/Settings/Information/kcmdf.desktop


%files khexedit
%defattr(-,root,root)
%dir %_docdir/HTML/en/khexedit/
%doc %_docdir/HTML/en/khexedit/common
%doc %_docdir/HTML/en/khexedit/*.docbook
%doc %_docdir/HTML/en/khexedit/*.png
%doc %_docdir/HTML/en/khexedit/*.bz2
%_bindir/khexedit
%_menudir/kdeutils-khexedit
%dir %_datadir/apps/khexedit/
%dir %_datadir/apps/khexedit/toolbar/
%_datadir/apps/khexedit/toolbar/*.png

%_datadir/applnk/Utilities/khexedit.desktop
%_datadir/applnk/Utilities/More/khexedit.desktop


%_iconsdir/crystalsvg/16x16/apps/khexedit.png
%_iconsdir/crystalsvg/32x32/apps/khexedit.png
%_iconsdir/crystalsvg/48x48/apps/khexedit.png

%files kcalc
%defattr(-,root,root)
%_bindir/kcalc
%_menudir/kdeutils-kcalc

#
%dir %_docdir/HTML/en/kcalc/
%doc %_docdir/HTML/en/kcalc/common
%doc %_docdir/HTML/en/kcalc/*.docbook
%doc %_docdir/HTML/en/kcalc/*.txt
%doc %_docdir/HTML/en/kcalc/*.bz2
#

%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/kcalc.png

%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/kcalc.png

%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/kcalc.png

%_datadir/applnk/Utilities/kcalc.desktop

%files -n %lib_name-kcalc
%defattr(-,root,root)
%_libdir/kcalc.la
%_libdir/kcalc.so



%files kedit
%defattr(-,root,root)
%_bindir/kedit
%_menudir/kdeutils-kedit

%dir %_docdir/HTML/en/kedit/
%doc %_docdir/HTML/en/kedit/common
%doc %_docdir/HTML/en/kedit/*.docbook
%doc %_docdir/HTML/en/kedit/*.bz2
%dir %_datadir/apps/kedit/
%_datadir/apps/kedit/*.rc

%dir %_datadir/applnk/Editors/
%_datadir/applnk/Editors/KEdit.desktop

%_iconsdir/crystalsvg/16x16/apps/kedit.png
%_iconsdir/crystalsvg/32x32/apps/kedit.png
%_iconsdir/crystalsvg/48x48/apps/kedit.png

%files -n %lib_name-kedit
%defattr(-,root,root)
%_libdir/kedit.la*
%_libdir/kedit.so



%files ark
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/ark/
%doc %_docdir/HTML/en/ark/common
%doc %_docdir/HTML/en/ark/*.docbook
%doc %_docdir/HTML/en/ark/*.bz2
#
%_bindir/ark
%dir %_datadir/apps/
%dir %_datadir/apps/ark/
%_datadir/apps/ark/*.rc
#
%_menudir/kdeutils-ark

%_datadir/applnk/Utilities/ark.desktop


%dir %_datadir/apps/ark/icons/
%dir %_datadir/apps/ark/icons/crystalsvg/
%dir %_datadir/apps/ark/icons/crystalsvg/22x22/
%dir %_datadir/apps/ark/icons/crystalsvg/22x22/actions/
%_datadir/apps/ark/icons/crystalsvg/22x22/actions/*.png

%_iconsdir/crystalsvg/16x16/apps/ark.png
%_iconsdir/crystalsvg/32x32/apps/ark.png
%_iconsdir/crystalsvg/48x48/apps/ark.png
%_iconsdir/crystalsvg/64x64/apps/ark.png
%_iconsdir/crystalsvg/128x128/apps/ark.png

%_datadir/services/ark_part.desktop

%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/arkservicemenu.desktop

%files -n %lib_name-ark
%defattr(-,root,root)
%_libdir/libarkpart.so
%_libdir/libarkpart.la*


%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/klaptopdaemon.la*

##libdir/*.so.*
%_libdir/klaptopdaemon.so


%_libdir/kde3/libkregexpeditorgui.so
%_libdir/kde3/kcm_laptop.so
%_libdir/kde3/kcharselect_panelapplet.so

%_libdir/kde3/libkregexpeditorgui.la
%_libdir/kde3/kcm_laptop.la
%_libdir/kde3/kcharselect_panelapplet.la



%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_includedir/*.h


%changelog
* Mon Sep 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix install

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Move kdf applet on kdeutils-kdf

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Move kwitdisk in Applications/Monitoring

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Apply patch from (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix provides/requires/obsolete

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Fix description

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Fix Provide/Obsoletes

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Fix kde menu entry + split

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Fix provides

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Split
- Fix provide/obsolete

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix generate menu entry

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split split split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Split again

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- splut

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Add patch10 : fix undo/redo bug in kedit (bug found by David Baudens)

* Wed Jul 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Libification
- Add patch9 fix compile

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuild

* Mon Jul 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update code

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Clean a little spec file

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Fix spec file

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Fix kcalc layout

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Sync with kde_3_1_branch

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Add buildfor9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Fri Mar 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch9-10 : fix ksim crash when partition size is null as /dev etc.

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix ark, kcalc )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( fix ark )

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix some bugs )

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix kcalc)

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kdf

* Mon Feb 10 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-3mdk
- Fix menu entry for Kcalc

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch9: fix DoS on kedit /dev/zero

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch9 : fix crash in kregexpeditor.

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix use apm on ix86 and ppc not ix64 etc...

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- fix description : thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- RC2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Add missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Move kcalc to Office/Accessories

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch8 : fix kedit enable/disable cut/copy action

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch7 : fix kdf mem leak

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch6 : used klineeditdlg in kregexeditor

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch3 : fix mem leak in klaptopdeamon
- Add patch4 : fix second mem leak in klaptopdeamon
- Add patch5 : fix third mem leak in klaptodeamon

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against new gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>  lib64 fixes
- Remove debuggage

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add patch2 : fix kcalc : use backspace and display value ==0.000...

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc-3.2
- Add  Patch1 patch for ix64

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuild against libstdc++

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix provides/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix menu

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdeutils

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remobe 'fomit-frame-pointer'

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.5mdk
- Oops, fix previous changelogs

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
